Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.fornitore.pojo
Class Fornitore

    java.lang.Object
      it.svimservice.nsisr.web.ws.fornitore.pojo.Fornitore

    public class Fornitore

extends java.lang.Object

Constructor Summary
`Fornitore()`

Method Summary
`java.util.Vector<FornitoriResponse>` | `getFornitore(AttributiAutorizzativi attributiAutorizzativi, FornitoreRequest request)` Il servizio consente di ritrovare la posizione anagrafica di uno o più fornitori presenti nell'anagrafe regionale che soddisfano i criteri di ricerca specificati.
`FornitoreCreateResponse` | `setCreateFornitore(AttributiAutorizzativi attributiAutorizzativi, FornitoreCreateRequest request)` Questo servizio permette di registrare un nuovo fornitore all'interno dell'albo fornitori.
`FornitoreUpdateResponse` | `setUpdateFornitore(AttributiAutorizzativi attributiAutorizzativi, FornitoreUpdateRequest request)` Questo servizio permette di modificare i dati di un fornitore identificato attraverso la sua partita IVA.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Fornitore

    public Fornitore()

Method Detail

### getFornitore

    public java.util.Vector<FornitoriResponse> getFornitore(AttributiAutorizzativi attributiAutorizzativi,
                                                            FornitoreRequest request)

  Il servizio consente di ritrovare la posizione anagrafica di uno o più fornitori presenti nell'anagrafe regionale che soddisfano i criteri di ricerca specificati. La ricerca viene eseguita per partita IVA o, in alternativa, combinando le seguenti informazioni: la ragione sociale (parte iniziale di essa), la regione, provincia o comune di appartenenza del fornitore. Il servizio restituirà al massimo un solo fornitore nel caso in cui sia stato inserito l'identificativo dello stesso (partita IVA) o se i criteri di ricerca inseriti ne permettono l'individuazione univoca. Restituirà un elenco nel caso in cui i fornitori presenti nell'anagrafe regionale che soddisfano i criteri di ricerca siano più di uno.

  Parameters:
    `attributiAutorizzativi` - dati dell'operatore
    `FornitoreRequest` - criteri di ricerca
  Returns:
    Vector elenco dei fornitori che soddisfano i criteri di ricerca
  Throws:
    `SoapFaultException` - - errore applicativo, può assumere i seguenti valori:
    - 000001: Dato non valido: partita IVA.
    - 001514: Richiesta non valida.
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 220010: Inserire almeno un filtro per la ricerca.
    - 100000: Il servizio non è al momento disponibile. Stiamo lavorando per ripristinarlo. Vi preghiamo di riprovare più tardi. Se il problema persiste, chiamare il servizio di assistenza agli utenti.

### setCreateFornitore

    public FornitoreCreateResponse setCreateFornitore(AttributiAutorizzativi attributiAutorizzativi,
                                                      FornitoreCreateRequest request)

  Questo servizio permette di registrare un nuovo fornitore all'interno dell'albo fornitori.

  Parameters:
    `attributiAutorizzativi` - dati dell'operatore.
    `request` - dati relativi all'inseimento di un fornitore.
  Returns:
    response relativo all'operazione.
  Throws:
    `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
    - 000001: Dato non valido: partita IVA.
    - 001514: Richiesta non valida.
    - 100000: Il servizio non è al momento disponibile. Stiamo lavorando per ripristinarlo. Vi preghiamo di riprovare più tardi. Se il problema persiste, chiamare il servizio di assistenza agli utenti.

### setUpdateFornitore

    public FornitoreUpdateResponse setUpdateFornitore(AttributiAutorizzativi attributiAutorizzativi,
                                                      FornitoreUpdateRequest request)

  Questo servizio permette di modificare i dati di un fornitore identificato attraverso la sua partita IVA.

  Parameters:
    `attributiAutorizzativi` - dati dell'operatore.
    `request` - dati relativi alla modifica di un fornitore.
  Returns:
    response relativo all'operazione.
    - 000001: Dato non valido: partita IVA.
    - 001514: Richiesta non valida.
    - 100000: Il servizio non è al momento disponibile. Stiamo lavorando per ripristinarlo. Vi preghiamo di riprovare più tardi. Se il problema persiste, chiamare il servizio di assistenza agli utenti.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD